Index: trunk/psModules/test/FullUnitTest
===================================================================
--- trunk/psModules/test/FullUnitTest	(revision 2140)
+++ trunk/psModules/test/FullUnitTest	(revision 3623)
@@ -19,6 +19,6 @@
 #  RETURN : integer number of tests which failed
 #
-#  $Revision: 1.1 $  $Name: not supported by cvs2svn $
-#  $Date: 2004-10-14 23:58:56 $
+#  $Revision: 1.2 $  $Name: not supported by cvs2svn $
+#  $Date: 2005-04-01 20:11:19 $
 #
 #  Copyright 2004 Maui High Performance Computing Center, University of Hawaii
@@ -29,5 +29,5 @@
 use Cwd;
 
-# Provides functions for handling long command line options
+# Provides functions for handling psS64 command line options
 use Getopt::Long;
 
@@ -61,6 +61,6 @@
 # add PSLIB_ROOT/lib to LD_LIBRARY_PATH and DYLD_LIBRARY_PATH environment
 # variables
-$ENV{'LD_LIBRARY_PATH'}   = "$ENV{'PSLIB_ROOT'}/lib:$ENV{'LD_LIBRARY_PATH'}";
-$ENV{'DYLD_LIBRARY_PATH'} = "$ENV{'PSLIB_ROOT'}/lib:$ENV{'DYLD_LIBRARY_PATH'}";
+$ENV{'LD_LIBRARY_PATH'}   = "$ENV{'PSLIB_ROOT'}/src/.libs:$ENV{'LD_LIBRARY_PATH'}";
+$ENV{'DYLD_LIBRARY_PATH'} = "$ENV{'PSLIB_ROOT'}/src/.libs:$ENV{'DYLD_LIBRARY_PATH'}";
 
 # Initialize variables for counting the makes and test failures and the
@@ -239,20 +239,12 @@
             `make clean`;
 
-            # Execute the make distclean
-            `make distclean`;
         }
 
         # Execute the make and save results
-        $_ = join( "\n|| ", split( "\n", "\n" . `make` ) );
+        $_ = join( "\n|| ", split( "\n", "\n" . `make tests` ) );
 
         # Check the output of make for return value != 0 or any of the
         # following words: FAILED, FAULT, ERROR, Not found, SIGNAL
-        if (   ( $? != 0 )
-            || m/FAILED/i
-            || m/FAULT/i
-            || m/\bERROR/i
-            || m/Not found/i
-            || m/SIGNAL/i )
-        {
+        if ( $? != 0 ) {
 
             # Display the errored output of make if silent option not enabled
@@ -276,7 +268,4 @@
             # Display the make was successful if silent option not set
             print("\nMake successful.\n") if ( !$silent );
-            if ($clean) {
-                `make install`;
-            }
         }
     }
@@ -664,6 +653,8 @@
         s/$hostname\s*/<HOST>/g;
         s/: Line \d+/: Line <LINENO>/g;
-        s/\:\d+/\:<LINENO>/g;
+        s/\(.*\:\d+\)/\(FILE\:LINENO\)/g;
+        s/\s+[\_\-\/\.\w]+\:\d+/ FILE\:LINENO/g;
         s/allocate \d+ bytes at/allocate <N> bytes at/g;
+        s/v\d+.\d+.\d+/vX.X.X/g;
 
         # Filter lines with *** malloc.  This is an artifact of Mac testing of
@@ -692,6 +683,8 @@
         s/$hostname\s*/<HOST>/g;
         s/: Line \d+/: Line <LINENO>/g;
-        s/\:\d+/\:<LINENO>/g;
+        s/\(.*\:\d+\)/\(FILE\:LINENO\)/g;
+        s/\s+[\_\-\/\.\w]+\:\d+/ FILE\:LINENO/g;
         s/allocate \d+ bytes at/allocate <N> bytes at/g;
+        s/v\d+.\d+.\d+/vX.X.X/g;
 
         # Filter lines with *** malloc.  This is an artifact of Mac testing of
